Bug 1506660

Summary: elfutils-default-yama-scope contains a config file under /usr
Product: [Fedora] Fedora Reporter: Michal Schmidt <mschmidt>
Component: elfutilsAssignee: Mark Wielaard <mjw>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: aoliva, fche, jakub, me, mjw
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: elfutils-0.170-2.fc28 elfutils-0.170-11.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-15 02:38:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Michal Schmidt 2017-10-26 13:57:35 UTC
Description of problem:
The elfutils-default-yama-scope package ships a file under /usr marked as a config file. This is against the Fedora Packaging Guidelines[1]:
  Don't use %config or %config(noreplace) under /usr. /usr is deemed to not
  contain configuration files in Fedora. 

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#Configuration_files

Version-Release number of selected component (if applicable):
elfutils-default-yama-scope-0.170-1.fc27.noarch

How reproducible:
always

Steps to Reproduce:
1. rpm -qc elfutils-default-yama-scope
2.
3.

Actual results:
/usr/lib/sysctl.d/10-default-yama-scope.conf

Expected results:
No file under /usr should be listed.

Additional info:
systemd-sysctl provides a way for the administrator to override files under /usr with files under /etc, as described in sysctl.d(5).

Comment 1 Mark Wielaard 2017-11-02 16:13:43 UTC
Thanks, I missed this. I suppose this is true for every "config" file placed under %{_sysctldir}? If so, maybe add a note about that to the above Guidelines.

Comment 2 Michal Schmidt 2017-11-02 17:03:41 UTC
Yes, it is true for _sysctldir, _tmpfilesdir, _udevrulesdir, _unitdir and maybe more.

rpmlint emits a warning about it:

  elfutils-default-yama-scope.noarch: W: non-etc-or-var-file-marked-as-conffile
  /usr/lib/sysctl.d/10-default-yama-scope.conf
  A file not in /etc or /var is marked as being a configuration file. Please put
  your conf files in /etc or /var.

Comment 3 Fedora Update System 2018-04-11 09:39:14 UTC
elfutils-0.170-11.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0be914ed2a

Comment 4 Fedora Update System 2018-04-11 22:58:53 UTC
elfutils-0.170-11.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0be914ed2a

Comment 5 Fedora Update System 2018-04-15 02:38:21 UTC
elfutils-0.170-11.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.